package com.ruoyi.ucp.service.impl;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.ruoyi.common.annotation.DataSource;
import com.ruoyi.common.enums.DataSourceType;
import com.ruoyi.ucp.entity.ProjectInfoMin2;
import com.ruoyi.ucp.mapper.ProjectInfoMin2Mapper;
import com.ruoyi.ucp.service.IProjectInfoMin2Service;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author gfhd
 * @since 2024-11-10
 */
@Service
@DataSource(DataSourceType.SLAVE)
public class ProjectInfoMin2ServiceImpl extends ServiceImpl<ProjectInfoMin2Mapper, ProjectInfoMin2> implements IProjectInfoMin2Service {
    @Override
    public boolean saveOrUpdate(ProjectInfoMin2 entity) {
        return super.saveOrUpdate(entity);
    }

    @Override
    public boolean save(ProjectInfoMin2 entity) {
        return super.save(entity);
    }

    @Override
    public boolean saveBatch(Collection<ProjectInfoMin2> entityList) {
        return super.saveBatch(entityList);
    }

    @Override
    public boolean saveOrUpdateBatch(Collection<ProjectInfoMin2> entityList) {
        return super.saveOrUpdateBatch(entityList);
    }

    @Override
    public List<ProjectInfoMin2> list(Wrapper<ProjectInfoMin2> queryWrapper) {
        return super.list(queryWrapper);
    }
}
